Bug # 63692 (Accepted): Memory consumption while bulk inserting
Subject: Add DataHandler-option enableSuccessLogging to disable logging of successful actions
Description

Currently the DataHandler has an option enableLogging.
Importing 5000 records
    -  with logging enabled: 216 seconds with multiple internal memory uses up to 100MB
    -  with logging disabled 92 seconds and maximum internal memory use 18MB

The performance loss is due to displaying the info about the successful insert in the log.
The log entry features the record header, which might need all the fields of the record if a label_userFunc is used.

If logging is disabled, the performance gain is there but also any notification is lost if something fails.

If there were an additional option $this->enableSuccessLogging
 in DataHandler it would be possible to set 

$this->enableLogging = TRUE;
$this->enableSucessLogging = FALSE;

 to be notified of any errors when importing but still have the performance gain due to not logging successful inserts and updates.

History
#1 - 2014-12-15 10:40 - Mathias Schreiber
- Parent task set to #63692

#2 - 2014-12-23 19:40 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#3 - 2015-06-15 17:08 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)
